This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 313221 - Review Request: qstars - A screensaver simulating planets and asteroids in space
Review Request: qstars - A screensaver simulating planets and asteroids in space
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 13:54 EDT by Ian Chapman
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-07 14:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2007-09-30 13:54:39 EDT
Spec URL: http://dribble.org.uk/reviews/qstars.spec
SRPM URL: http://dribble.org.uk/reviews/qstars-0.4-1.src.rpm
Description: 

A screensaver for KDE which simulates planets, asteroids and ships in a moving
starfield
Comment 1 Mamoru TASAKA 2007-10-01 09:47:31 EDT
Perhaps this can also support xscreensaver (so gnome-screensaver).
Comment 2 Mamoru TASAKA 2007-10-01 12:22:08 EDT
Would you check the following?

http://mtasaka.fedorapeople.org/Review_request/qstars/qstars-0.4-2.fc7.src.rpm
http://mtasaka.fedorapeople.org/Review_request/qstars/qstars.spec

If your Kxscreensaver works well with the srpm above, I will
proceed to review qstars.
Comment 3 Ian Chapman 2007-10-01 15:05:53 EDT
Thanks for that, it still works perfectly with KDE. Here's the latest version.
I've just made a few whitespace changes and some minor changes to the
descriptions, otherwise it's essentially identical to yours.

Spec URL: http://dribble.org.uk/reviews/qstars.spec
SRPM URL: http://dribble.org.uk/reviews/qstars-0.4-3.src.rpm
Comment 4 Mamoru TASAKA 2007-10-02 12:08:44 EDT
Okay.

-------------------------------------------------------------
    This package (qstars) is APPROVED by me
-------------------------------------------------------------
Comment 5 Ian Chapman 2007-10-02 14:37:48 EDT
Thanks for the review!
Comment 6 Ian Chapman 2007-10-02 14:39:24 EDT
New Package CVS Request
=======================
Package Name: qstars
Short Description: A screensaver simulating planets and asteroids in space
Owners: oddsocks
Branches: FC6 F7
InitialCC: <empty>
Cvsextras Commits: Yes
Comment 7 Rudolf Kastl 2007-10-02 15:51:50 EDT
theres a bug in the gnome-screensaver part atleast:

cat /usr/share/applications/screensavers/qstars-gss.desktop |grep Name
Name=tempest

typical copy&paste error i guess. id recommend to look at the other files aswell
(umm it still doesent work in gnome-screensaver for me though)

Comment 8 Mamoru TASAKA 2007-10-02 16:21:07 EDT
(In reply to comment #7)
>  (umm it still doesent work in gnome-screensaver for me though)

Then simply killing gnome-screensaver support is a best solution.
Honestly saying, I don't care about gnome-screensaver.

Comment 9 Mamoru TASAKA 2007-10-02 16:35:21 EDT
Well, maybe the simple "vroot.h" method used in qstars
(which works with xscrensaver) no longer works with gnome-screensaver.
Comment 10 Ian Chapman 2007-10-02 19:49:37 EDT
I've played around a bit and i can't get it to work with gnome either. There
seems to be two issues, the first one is that gnome appears to need the binary
to be in /usr/libexec/gnome-screensavers otherwise it doesn't bother to execute it.

Secondly, it simply just doesn't appear to be compatible. I can actually get it
to run but nothing is displayed. So for now I'll remove gnome support before
import. It can always be added later if a fix/workaround is discovered.

Comment 11 Ian Chapman 2007-10-03 17:51:07 EDT
Spec URL: http://dribble.org.uk/reviews/qstars.spec
SRPM URL: http://dribble.org.uk/reviews/qstars-0.4-3.src.rpm

Gnome support has been removed. I haven't bumped the EVR but can you give it a
quick look to make sure its still OK. I guess the cvs flag got cleared because
of additional comments.
Comment 12 Mamoru TASAKA 2007-10-04 02:00:34 EDT
(In reply to comment #11)
> Spec URL: http://dribble.org.uk/reviews/qstars.spec
> SRPM URL: http://dribble.org.uk/reviews/qstars-0.4-3.src.rpm
> 
> Gnome support has been removed. I haven't bumped the EVR but can you give it a
> quick look to make sure its still OK. I guess the cvs flag got cleared because
> of additional comments.

Okay.
Comment 13 Mamoru TASAKA 2007-10-04 02:01:11 EDT
(Resetting cvs flag)
Comment 14 Ian Chapman 2007-10-04 10:34:33 EDT
New Package CVS Request
=======================
Package Name: qstars
Short Description: A screensaver simulating planets and asteroids in space
Owners: oddsocks
Branches: FC6 F7
InitialCC: <empty>
Cvsextras Commits: Yes
Comment 15 Kevin Fenzi 2007-10-04 19:22:57 EDT
cvs done.
Comment 16 Mamoru TASAKA 2007-10-06 07:59:38 EDT
Please close this bug when rebuild is done and request for
bodhi is done.
Comment 17 Ian Chapman 2007-10-07 14:26:28 EDT
Imported and built

Note You need to log in before you can comment on or make changes to this bug.